## kcoreaddons 5.103.0

=== src/lib/CMakeLists.txt ===
# Configure checks for the caching subdir
include(CheckIncludeFiles)
check_include_files("sys/types.h;sys/mman.h" HAVE_SYS_MMAN_H)
configure_file(caching/config-caching.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-caching.h)

include(CheckSymbolExists)
check_symbol_exists("getgrouplist" "grp.h" HAVE_GETGROUPLIST)

if(UNIX)
    function(check_dladdr) # use a function to scope the variables!
        set(CMAKE_REQUIRED_FLAGS ${DLADDR_LINK_FLAGS})
        set(CMAKE_REQUIRED_LIBRARIES ${DLADDR_LINK_LIBRARIES})
        check_symbol_exists("dladdr" "dlfcn.h" HAVE_DLADDR)
        set(HAVE_DLADDR ${HAVE_DLADDR} PARENT_SCOPE)
    endfunction()

    if(CMAKE_SYSTEM_NAME MATCHES "Linux") # on linux dladdr isn't part of libc, on freebsd and osx it is
        set(DLADDR_LINK_FLAGS "-D_GNU_SOURCE")
        set(DLADDR_LINK_LIBRARIES "dl")
    endif()
    check_dladdr()

    add_feature_info(dladdr ${HAVE_DLADDR} "Can resolve shared library paths and by extension libexec paths at runtime using dladdr() API")
endif()

set (KDE4_DEFAULT_HOME ".kde${_KDE4_DEFAULT_HOME_POSTFIX}" CACHE STRING "The default KDE home directory" )
set (ACCOUNTS_SERVICE_ICON_DIR "/var/lib/AccountsService/icons" CACHE STRING "Accounts Services icon storage directory")

configure_file(util/config-util.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-util.h)

add_library(KF5CoreAddons)
add_library(KF5::CoreAddons ALIAS KF5CoreAddons)

if(NOT BUILD_SHARED_LIBS)
    target_compile_definitions(KF5CoreAddons PUBLIC -DKCOREADDONS_STATIC)
endif()

ecm_create_qm_loader(KF5CoreAddons kcoreaddons5_qt)

if (FAM_FOUND)
    target_include_directories(KF5CoreAddons PRIVATE ${FAM_INCLUDE_DIR})
    target_link_libraries(KF5CoreAddons PRIVATE ${FAM_LIBRARIES})
endif ()

if (Inotify_FOUND)
    target_include_directories(KF5CoreAddons PRIVATE ${Inotify_INCLUDE_DIRS})
    target_link_libraries(KF5CoreAddons PRIVATE ${Inotify_LIBRARIES})
endif ()

if(NOT WIN32)
    target_sources(KF5CoreAddons PRIVATE
        caching/kshareddatacache.cpp
        caching/kshareddatacache.h
    )

    set_source_files_properties(caching/kshareddatacache.cpp
        PROPERTIES COMPILE_FLAGS -fexceptions)

    target_link_libraries(KF5CoreAddons PRIVATE Threads::Threads)
else()
    target_sources(KF5CoreAddons PRIVATE
        caching/kshareddatacache_win.cpp
    )
endif()

if (WIN32)
    target_sources(KF5CoreAddons PRIVATE
        text/kmacroexpander_win.cpp
        util/klistopenfilesjob_win.cpp
        util/kprocesslist_win.cpp
        util/kshell_win.cpp
        util/kuser_win.cpp
    )
endif ()

if (UNIX)
    target_sources(KF5CoreAddons PRIVATE
        text/kmacroexpander_unix.cpp
        util/klistopenfilesjob_unix.cpp
        util/kuser_unix.cpp
        util/kshell_unix.cpp
    )
    if (HAVE_PROCSTAT)
        target_sources(KF5CoreAddons PRIVATE
            util/kprocesslist_unix_procstat.cpp
        )
        target_compile_definitions(KF5CoreAddons PRIVATE HAVE_PROCSTAT=1)
    else ()
        target_sources(KF5CoreAddons PRIVATE
            util/kprocesslist_unix.cpp
        )
    endif ()
endif ()

if(HAVE_QTDBUS)
    set(_dbus_SRCS)

    set_source_files_properties(io/org.freedesktop.portal.FileTransfer.xml PROPERTIES INCLUDE ${CMAKE_CURRENT_SOURCE_DIR}/io/dbustypes_p.h)
    qt_add_dbus_interface(_dbus_SRCS io/org.freedesktop.portal.FileTransfer.xml io/org.freedesktop.portal.FileTransfer)

    set_source_files_properties(io/org.kde.KIOFuse.VFS.xml PROPERTIES NO_NAMESPACE TRUE)
    qt_add_dbus_interface(_dbus_SRCS io/org.kde.KIOFuse.VFS.xml io/org.kde.KIOFuse.VFS)

    target_sources(KF5CoreAddons PRIVATE ${_dbus_SRCS})
    target_link_libraries(KF5CoreAddons PRIVATE Qt${QT_MAJOR_VERSION}::DBus)
endif()

if (TARGET UDev::UDev)
    target_link_libraries(KF5CoreAddons PRIVATE UDev::UDev)
endif()

target_sources(KF5CoreAddons PRIVATE
    kaboutdata.cpp
    kcoreaddons.cpp
    io/kautosavefile.cpp
    io/kdirwatch.cpp
    io/kfilesystemtype.cpp
    io/kmessage.cpp
    io/kprocess.cpp
    io/kbackup.cpp
    io/kurlmimedata.cpp
    io/kfileutils.cpp
    io/knetworkmounts.cpp
    jobs/kcompositejob.cpp
    jobs/kjob.cpp
    jobs/kjobtrackerinterface.cpp
    jobs/kjobuidelegate.cpp
    plugin/kpluginfactory.cpp
    plugin/kpluginloader.cpp
    plugin/kpluginmetadata.cpp
    plugin/kstaticpluginhelpers.cpp
    plugin/desktopfileparser.cpp
    randomness/krandom.cpp
    randomness/krandomsequence.cpp
    text/kjsonutils.cpp
    text/kfuzzymatcher.cpp
    text/kmacroexpander.cpp
    text/kstringhandler.cpp
    text/ktexttohtml.cpp
    util/kdelibs4migration.cpp
    util/kdelibs4configmigrator.cpp
    util/kformat.cpp
    util/kformatprivate.cpp
    util/kosrelease.cpp
    util/kprocesslist.cpp
    util/kshell.cpp
    util/klibexec.cpp
    util/ksignalhandler.cpp
    util/ksandbox.cpp
    util/kmemoryinfo.cpp
    util/kruntimeplatform.cpp

    kaboutdata.h
    kcoreaddons.h
    io/kautosavefile.h
    io/kdirwatch.h
    io/kfilesystemtype.h
    io/kmessage.h
    io/kprocess.h
    io/kbackup.h
    io/kurlmimedata.h
    io/kfileutils.h
    io/knetworkmounts.h
    jobs/kcompositejob.h
    jobs/kjob.h
    jobs/kjobtrackerinterface.h
    jobs/kjobuidelegate.h
    plugin/kpluginfactory.h
    plugin/kpluginloader.h
    plugin/kpluginmetadata.h
    plugin/kstaticpluginhelpers.h
    randomness/krandom.h
    randomness/krandomsequence.h
    text/kjsonutils.h
    text/kfuzzymatcher.h
    text/kmacroexpander.h
    text/kstringhandler.h
    text/ktexttohtml.h
    util/kdelibs4migration.h
    util/kdelibs4configmigrator.h
    util/kformat.h
    util/kosrelease.h
    util/kprocesslist.h
    util/kshell.h
    util/klibexec.h
    util/ksignalhandler.h
    util/ksandbox.h
    util/kmemoryinfo.h
    util/kruntimeplatform.h
)


set(kcoreaddons_INCLUDE_DIRS
    ${CMAKE_CURRENT_BINARY_DIR}/../.. # for kcoreaddons_version.h
    ${CMAKE_CURRENT_SOURCE_DIR}/caching/
    ${CMAKE_CURRENT_BINARY_DIR}/io/
    ${CMAKE_CURRENT_SOURCE_DIR}/io/
    ${CMAKE_CURRENT_SOURCE_DIR}/jobs/
    ${CMAKE_CURRENT_SOURCE_DIR}/plugin/
    ${CMAKE_CURRENT_SOURCE_DIR}/randomness/
    ${CMAKE_CURRENT_SOURCE_DIR}/text/
    ${CMAKE_CURRENT_SOURCE_DIR}/util/
)

ecm_qt_export_logging_category(
    IDENTIFIER KDIRWATCH
    CATEGORY_NAME kf.coreaddons.kdirwatch
    OLD_CATEGORY_NAMES kf5.kcoreaddons.kdirwatch
    DEFAULT_SEVERITY Warning
    DESCRIPTION "KDirWatch (KCoreAddons)"
    EXPORT KCOREADDONS
)
ecm_qt_export_logging_category(
    IDENTIFIER KABOUTDATA
    CATEGORY_NAME kf.coreaddons.kaboutdata
    OLD_CATEGORY_NAMES kf5.kcoreaddons.kaboutdata
    DESCRIPTION "KAboutData (KCoreAddons)"
    EXPORT KCOREADDONS
)
ecm_qt_export_logging_category(
    IDENTIFIER LOG_KMEMORYINFO
    CATEGORY_NAME kf.coreaddons.kmemoryinfo
    DESCRIPTION "KMemoryInfo (KCoreAddons)"
    EXPORT KCOREADDONS
)
ecm_qt_declare_logging_category(KF5CoreAddons
    HEADER desktopfileparser_debug.h
    IDENTIFIER DESKTOPPARSER
    CATEGORY_NAME kf.coreaddons.desktopparser
    OLD_CATEGORY_NAMES kf5.kcoreaddons.desktopparser
    DEFAULT_SEVERITY Warning
    DESCRIPTION "DesktopParser (KCoreAddons)"
    EXPORT KCOREADDONS
)
ecm_qt_export_logging_category(
    IDENTIFIER MIGRATOR
    CATEGORY_NAME kf.coreaddons.kdelibs4configmigrator
    OLD_CATEGORY_NAMES kf5.kcoreaddons.kdelibs4configmigrator
    DEFAULT_SEVERITY Warning
    DESCRIPTION "Kdelibs4ConfigMigrator (KCoreAddons)"
    EXPORT KCOREADDONS
)

ecm_qt_declare_logging_category(KF5CoreAddons
    HEADER kcoreaddons_debug.h
    IDENTIFIER KCOREADDONS_DEBUG
    CATEGORY_NAME kf.coreaddons
    OLD_CATEGORY_NAMES org.kde.kcoreaddons
    DESCRIPTION "kcoreaddons (kcoreaddons lib)"
    EXPORT KCOREADDONS
)

ecm_generate_export_header(KF5CoreAddons
    BASE_NAME KCoreAddons
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 4.0 5.0 5.2 5.65 5.67 5.70 5.72 5.75 5.76 5.78 5.79 5.80 5.84 5.86 5.87 5.88 5.89 5.92 5.95 5.97
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF5CoreAddons PUBLIC "$<BUILD_INTERFACE:${kcoreaddons_INCLUDE_DIRS}>")

target_link_libraries(KF5CoreAddons
  PUBLIC
    Qt${QT_MAJOR_VERSION}::Core
)

if(WIN32)
    target_link_libraries(KF5CoreAddons PRIVATE netapi32 userenv psapi)
endif()

if(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
    target_link_libraries(KF5CoreAddons PRIVATE kvm)
endif()

if (HAVE_PROCSTAT)
    target_link_libraries(KF5CoreAddons PRIVATE Procstat::Procstat)
endif()

if(HAVE_DLADDR)
    set_source_files_properties(SOURCE util/klibexec.cpp PROPERTIES COMPILE_FLAGS "${DLADDR_LINK_FLAGS}") # ensure _GNU_SOURCE on Linux
    target_link_libraries(KF5CoreAddons PRIVATE ${DLADDR_LINK_LIBRARIES})
endif()

target_include_directories(KF5CoreAddons INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KCoreAddons>" )

target_compile_definitions(KF5CoreAddons INTERFACE "$<INSTALL_INTERFACE:KCOREADDONS_LIB>")

set_target_properties(KF5CoreAddons PROPERTIES VERSION   ${KCOREADDONS_VERSION}
                                               SOVERSION ${KCOREADDONS_SOVERSION}
                                               EXPORT_NAME CoreAddons
)

ecm_generate_headers(KCoreAddons_HEADERS
    HEADER_NAMES
        KAboutData
        KCoreAddons
    REQUIRED_HEADERS KCoreAddons_HEADERS
)
ecm_generate_headers(KCoreAddons_HEADERS
    HEADER_NAMES KSharedDataCache
    RELATIVE caching
    REQUIRED_HEADERS KCoreAddons_HEADERS
)
ecm_generate_headers(KCoreAddons_HEADERS
    HEADER_NAMES
        KAutoSaveFile
        KDirWatch
        KMessage
        KProcess
        KBackup
        KUrlMimeData
        KFileSystemType
        KFileUtils
        KNetworkMounts
    RELATIVE io
    REQUIRED_HEADERS KCoreAddons_HEADERS
)
ecm_generate_headers(KCoreAddons_HEADERS
    HEADER_NAMES
        KCompositeJob
        KJob
        KJobTrackerInterface
        KJobUiDelegate
    RELATIVE jobs
    REQUIRED_HEADERS KCoreAddons_HEADERS
)
ecm_generate_headers(KCoreAddons_HEADERS
    HEADER_NAMES
        KExportPlugin
        KPluginFactory
        KPluginLoader
        KPluginMetaData
        KStaticPluginHelpers
    RELATIVE plugin
    REQUIRED_HEADERS KCoreAddons_HEADERS
)
ecm_generate_headers(KCoreAddons_HEADERS
    HEADER_NAMES
        KRandom
        KRandomSequence
    RELATIVE randomness
    REQUIRED_HEADERS KCoreAddons_HEADERS
)
ecm_generate_headers(KCoreAddons_HEADERS
    HEADER_NAMES
        KJsonUtils
        KFuzzyMatcher
        KMacroExpander
        KStringHandler
        KTextToHTML
        KTextToHTMLEmoticonsInterface
    RELATIVE text
    REQUIRED_HEADERS KCoreAddons_HEADERS
)
ecm_generate_headers(KCoreAddons_HEADERS
    HEADER_NAMES
        KFormat
        KOSRelease
        KUser
        KShell
        KProcessList
        KListOpenFilesJob
        Kdelibs4Migration
        Kdelibs4ConfigMigrator
        KLibexec
        KSignalHandler
        KRuntimePlatform
        KSandbox
        KMemoryInfo
    RELATIVE util
    REQUIRED_HEADERS KCoreAddons_HEADERS
)

install(TARGETS KF5CoreAddons EXPORT KF5CoreAddonsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${KCoreAddons_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kcoreaddons_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KCoreAddons COMPONENT Devel
)

# Includes CMake code to install open-source license texts for KAboutData.
add_subdirectory(licenses)

if(BUILD_QCH)
    ecm_add_qch(
        KF5CoreAddons_QCH
        NAME KCoreAddons
        BASE_NAME KF5CoreAddons
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KCoreAddons_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Core_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
            ${kcoreaddons_INCLUDE_DIRS}
        BLANK_MACROS
            KCOREADDONS_EXPORT
            KCOREADDONS_DEPRECATED
            KCOREADDONS_DEPRECATED_EXPORT
            "KCOREADDONS_DEPRECATED_VERSION(x, y, t)"

=== src/lib/licenses/CMakeLists.txt ===
# Install license files for use by KAboutLicense and KAboutData

install(
    FILES
        BSD GPL_V2 GPL_V3 LGPL_V2 LGPL_V21 LGPL_V3 QPL_V1.0 ARTISTIC
    DESTINATION
        ${KDE_INSTALL_DATADIR}/kf${QT_MAJOR_VERSION}/licenses
)

=== debian/changelog ===
kcoreaddons (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:22 +0100

kcoreaddons (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Add optional build dependency on libudev-dev [linux-any] for support
    of local devices enumeration.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:00 +0100

kcoreaddons (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:20 +0100

kcoreaddons (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.99.0.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files from build logs.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:18:55 +0100

=== debian/control ===
Source: kcoreaddons
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen (>= 1.8.13~),
               extra-cmake-modules (>= 5.103.0~),
               libqt5sql5-sqlite:native,
               libudev-dev [linux-any],
               pkg-kde-tools (>= 0.15.16~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
               shared-mime-info (>= 1.8~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kcoreaddons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcoreaddons
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcoreaddons.git
Rules-Requires-Root: no

Package: libkf5coreaddons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: KDE Frameworks 5 addons to QtCore - data files
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the arch independent files for KCoreAddons.

Package: libkf5coreaddons-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5coreaddons-dev-bin (= ${binary:Version}),
         libkf5coreaddons5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Replaces: libkf5coreaddons-bin-dev (<< 5.41),
Breaks: baloo-kf5-dev (<< 5.54),
        kded5-dev (<< 5.54),
        libkf5auth-dev (<< 5.54),
        libkf5coreaddons-bin-dev (<< 5.41),
        libkf5crash-dev (<< 5.54),
        libkf5guiaddons-dev (<< 5.54),
        libkf5jobwidgets-dev (<< 5.54),
        libkf5notifications-dev (<< 5.54),
        libkf5package-dev (<< 5.54),
        libkf5pty-dev (<< 5.54),
        libkf5purpose-dev (<< 5.54),
        libkf5service-dev (<< 5.54),
Recommends: libkf5coreaddons-doc (= ${source:Version}),
Description: KDE Frameworks 5 addons to QtCore - development files
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files for KCoreAddons.

Package: libkf5coreaddons-dev-bin
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Replaces: libkf5coreaddons-bin-dev,
Breaks: libkf5coreaddons-bin-dev,
Description: KDE Frameworks 5 addons to QtCore - development files
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 5.
 .
 This package is an implementation detail for KCoreAddons.

Package: libkf5coreaddons-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: KDE Frameworks 5 addons to QtCore (documentation)
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5coreaddons5
Architecture: any
Multi-Arch: same
Depends: libkf5coreaddons-data (= ${source:Version}),
         shared-mime-info (>= 1.8~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE Frameworks 5 addons to QtCore
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 5.
Breaks: baloo-kf5 (<< 5.54),
        frameworkintegration (<< 5.42),
        kded5 (<< 5.54),
        kdesignerplugin (<< 5.42),
        kgendesignerplugin (<< 5.54),
        kgendesignerplugin-bin (<< 5.54),
        kinit (<< 5.54),
        kio (<< 5.54),
        kpackagelauncherqml (<< 5.54),
        kpackagetool5 (<< 5.54),
        kross (<< 5.54),
        ktexteditor-katepart (<< 5.54),
        libkf5auth5 (<< 5.54),
        libkf5baloo5 (<< 5.54),
        libkf5balooengine5 (<< 5.42),
        libkf5bookmarks5 (<< 5.54),
        libkf5configwidgets5 (<< 5.54),
        libkf5crash5 (<< 5.54),
        libkf5declarative5 (<< 5.42),
        libkf5emoticons-bin (<< 5.54),
        libkf5emoticons5 (<< 5.54),
        libkf5globalaccel-bin (<< 5.54),
        libkf5globalaccelprivate5 (<< 5.54),
        libkf5iconthemes5 (<< 5.54),
        libkf5jobwidgets5 (<< 5.54),
        libkf5kcmutils5 (<< 5.54),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.54),
        libkf5khtml-bin (<< 5.54),
        libkf5khtml5 (<< 5.54),
        libkf5kiocore5 (<< 5.54),
        libkf5kiofilewidgets5 (<< 5.54),
        libkf5kiogui5 (<< 5.54),
        libkf5kiontlm5 (<< 5.54),
        libkf5kiowidgets5 (<< 5.54),
        libkf5krossui5 (<< 5.42),
        libkf5mediaplayer5 (<< 5.42),
        libkf5newstuff5 (<< 5.54),
        libkf5newstuffcore5 (<< 5.54),
        libkf5notifications5 (<< 5.54),
        libkf5notifyconfig5 (<< 5.42),
        libkf5package5 (<< 5.54),
        libkf5parts-plugins (<< 5.54),
        libkf5parts5 (<< 5.54),
        libkf5people5 (<< 5.54),
        libkf5peoplewidgets5 (<< 5.54),
        libkf5plasma5 (<< 5.54),
        libkf5plasmaquick5 (<< 5.54),
        libkf5pty5 (<< 5.54),
        libkf5purpose-bin (<< 5.54),
        libkf5purpose5 (<< 5.54),
        libkf5quickaddons5 (<< 5.54),
        libkf5runner5 (<< 5.54),
        libkf5service-bin (<< 5.54),
        libkf5service5 (<< 5.54),
        libkf5style5 (<< 5.42),
        libkf5su-bin (<< 5.54),
        libkf5su5 (<< 5.54),
        libkf5texteditor5 (<< 5.54),
        libkf5textwidgets5 (<< 5.54),
        libkf5wallet-bin (<< 5.54),
        libkf5webkit5 (<< 5.54),
        libkf5xmlgui5 (<< 5.54),
        libkf5xmlrpcclient5 (<< 5.54),
        libkwalletbackend5-5 (<< 5.42),
        plasma-framework (<< 5.54),
        qml-module-org-kde-activities (<< 5.54),
        qml-module-org-kde-extensionplugin (<< 5.28),
        qml-module-org-kde-kcoreaddons (<< 5.54),
        qml-module-org-kde-kio (<< 5.42),
        qml-module-org-kde-newstuff (<< 5.42),
        qml-module-org-kde-purpose (<< 5.54),
        qml-module-org-kde-qqc2desktopstyle (<< 5.42),
        qml-module-org-kde-runnermodel (<< 5.42),

## kcoreaddons 5.104.0

=== debian/changelog ===
kcoreaddons (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:15:16 +0000

kcoreaddons (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:42:10 +0000

kcoreaddons (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:55:59 +0000

kcoreaddons (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:19:18 +0000

kcoreaddons (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)
  * Update install files.
  * Add libudev-dev to build depends.
  * Update build-deps and deps with the info from cmake.

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:13:51 +0000

kcoreaddons (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 10:58:03 +0000

kcoreaddons (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:30:55 +0100

kcoreaddons (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:03:05 +0100

kcoreaddons (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:29:03 +0100

kcoreaddons (5.95.0a-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:54:25 +0100

kcoreaddons (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)
  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:18:09 +0100

kcoreaddons (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:21:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,31 @@
 Source: kcoreaddons
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.103.0~),
+               extra-cmake-modules (>= 5.104.0~),
+               libfam-dev,
                libqt5sql5-sqlite:native,
-               libudev-dev [linux-any],
+               libudev-dev,
                pkg-kde-tools (>= 0.15.16~),
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
                shared-mime-info (>= 1.8~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/kcoreaddons
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcoreaddons
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcoreaddons.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcoreaddons
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcoreaddons
 Rules-Requires-Root: no
 
 Package: libkf5coreaddons-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Description: KDE Frameworks 5 addons to QtCore - data files
  KCoreAddons provides classes built on top of QtCore to perform various tasks
  such as manipulating mime types, autosaving files, creating backup files,
@@ -43,7 +44,7 @@
          libkf5coreaddons5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
-Replaces: libkf5coreaddons-bin-dev (<< 5.41),
+Replaces: libkf5coreaddons-bin-dev (<< 5.41)
 Breaks: baloo-kf5-dev (<< 5.54),
         kded5-dev (<< 5.54),
         libkf5auth-dev (<< 5.54),
@@ -56,7 +57,7 @@
         libkf5pty-dev (<< 5.54),
         libkf5purpose-dev (<< 5.54),
         libkf5service-dev (<< 5.54),
-Recommends: libkf5coreaddons-doc (= ${source:Version}),
+Recommends: libkf5coreaddons-doc (= ${source:Version})
 Description: KDE Frameworks 5 addons to QtCore - development files
  KCoreAddons provides classes built on top of QtCore to perform various tasks
  such as manipulating mime types, autosaving files, creating backup files,
@@ -71,9 +72,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Replaces: libkf5coreaddons-bin-dev,
-Breaks: libkf5coreaddons-bin-dev,
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: libkf5coreaddons-bin-dev
+Breaks: libkf5coreaddons-bin-dev
 Description: KDE Frameworks 5 addons to QtCore - development files
  KCoreAddons provides classes built on top of QtCore to perform various tasks
  such as manipulating mime types, autosaving files, creating backup files,
@@ -87,7 +88,7 @@
 Package: libkf5coreaddons-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Description: KDE Frameworks 5 addons to QtCore (documentation)
  KCoreAddons provides classes built on top of QtCore to perform various tasks
  such as manipulating mime types, autosaving files, creating backup files,

## kcoreaddons 5.110.0

=== debian/changelog ===
kcoreaddons (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:05:16 +0100

kcoreaddons (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:47:57 +0100

kcoreaddons (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:18:28 +0100

kcoreaddons (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:04:23 +0100

kcoreaddons (5.106.0-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.106.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols files, remove private missing symbols

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:44:12 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.104.0~),
+               extra-cmake-modules (>= 5.110.0~),
                libfam-dev,
                libqt5sql5-sqlite:native,
                libudev-dev,

## kcoreaddons 5.113.0

=== debian/changelog ===
kcoreaddons (5.113.0-0ubuntu2) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - KF5 build depends bumped to currrent 5.11.3.0.
    - Keep our symbols file.
    - Disable acc test, but keep our config in case we want to
      enable again.

 -- Rik Mills <rikmills@kde.org>  Sat, 06 Jan 2024 12:19:10 +0000

kcoreaddons (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:42:05 +0000

kcoreaddons (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:46:54 +0000

kcoreaddons (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Nov 2023 23:56:34 +0000

kcoreaddons (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:26 +0200

kcoreaddons (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:47 +0100

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,20 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.110.0~),
-               libfam-dev,
+               extra-cmake-modules (>= 5.113.0~),
                libqt5sql5-sqlite:native,
-               libudev-dev,
+               libudev-dev [linux-any],
                pkg-kde-tools (>= 0.15.16~),
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
                shared-mime-info (>= 1.8~),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/frameworks/kcoreaddons
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcoreaddons
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcoreaddons
@@ -25,7 +25,7 @@
 Package: libkf5coreaddons-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: KDE Frameworks 5 addons to QtCore - data files
  KCoreAddons provides classes built on top of QtCore to perform various tasks
  such as manipulating mime types, autosaving files, creating backup files,
@@ -44,7 +44,7 @@
          libkf5coreaddons5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
-Replaces: libkf5coreaddons-bin-dev (<< 5.41)
+Replaces: libkf5coreaddons-bin-dev (<< 5.41),
 Breaks: baloo-kf5-dev (<< 5.54),
         kded5-dev (<< 5.54),
         libkf5auth-dev (<< 5.54),
@@ -72,9 +72,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: libkf5coreaddons-bin-dev
-Breaks: libkf5coreaddons-bin-dev
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Replaces: libkf5coreaddons-bin-dev,
+Breaks: libkf5coreaddons-bin-dev,
 Description: KDE Frameworks 5 addons to QtCore - development files
  KCoreAddons provides classes built on top of QtCore to perform various tasks
  such as manipulating mime types, autosaving files, creating backup files,
@@ -88,7 +88,7 @@
 Package: libkf5coreaddons-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: KDE Frameworks 5 addons to QtCore (documentation)
  KCoreAddons provides classes built on top of QtCore to perform various tasks
  such as manipulating mime types, autosaving files, creating backup files,

## kcoreaddons 5.115.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.115.0") # handled by release scripts
project(KCoreAddons VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 5.115.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDEGitCommitHooks)

include(ECMGenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)
include(ECMSetupQtPluginMacroNames)
include(ECMDeprecationSettings)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core)

ecm_setup_qtplugin_macro_names(
    JSON_NONE
        "K_PLUGIN_FACTORY"
        "K_PLUGIN_CLASS"
    JSON_ARG2
        "K_PLUGIN_FACTORY_WITH_JSON"
        "K_PLUGIN_CLASS_WITH_JSON"
    CONFIG_CODE_VARIABLE
        PACKAGE_SETUP_AUTOMOC_VARIABLES
)

if(NOT WIN32)
    find_package(Threads REQUIRED)
endif()

# Configure checks for kdirwatch
find_package(FAM)

set_package_properties(FAM PROPERTIES
     PURPOSE "Provides file alteration notification facilities using a separate service. FAM provides additional support for NFS.")

set(HAVE_FAM ${FAM_FOUND})

option(ENABLE_INOTIFY "Try to use inotify for directory monitoring" ON)
if(ENABLE_INOTIFY)
    # Find libinotify
    find_package(Inotify)
    set_package_properties(Inotify PROPERTIES
        PURPOSE "Filesystem alteration notifications using inotify")
    set(HAVE_SYS_INOTIFY_H ${Inotify_FOUND})
else()
    set(HAVE_SYS_INOTIFY_H FALSE)
endif()

set(HAVE_PROCSTAT FALSE)
string(REGEX MATCH "[Bb][Ss][Dd]" BSDLIKE ${CMAKE_SYSTEM_NAME})
if (BSDLIKE)
    option(ENABLE_PROCSTAT "Try to use libprocstat for process information (for BSD-like systems)" ON)
    if (ENABLE_PROCSTAT)
        # Find libprocstat
        find_package(Procstat)
        set_package_properties(Procstat PROPERTIES
            PURPOSE "Process information using libprocstat")
        set(HAVE_PROCSTAT ${PROCSTAT_FOUND})
    endif()
    if (CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
        set_package_properties(Procstat PROPERTIES
            TYPE REQUIRED
        )
    endif()
endif()

if(NOT WIN32) # never relevant there
    find_package(Qt${QT_MAJOR_VERSION}DBus ${QT_MIN_VERSION} CONFIG)
    set(HAVE_QTDBUS ${Qt${QT_MAJOR_VERSION}DBus_FOUND})
    add_feature_info(XDGPortalDragAndDrop HAVE_QTDBUS "Drag and Drop support via xdg-desktop-portal requies QtDBus")
endif()

if (CMAKE_SYSTEM_NAME MATCHES "Linux")
    find_package(UDev) # Used by KFilesystemType
    set(HAVE_UDEV ${UDev_FOUND})
endif()

configure_file(src/lib/io/config-kdirwatch.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/lib/io/config-kdirwatch.h)

configure_file(src/lib/io/config-kfilesystemtype.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/lib/io/config-kfilesystemtype.h)

include(ECMPoQmTools)

ecm_setup_version(PROJECT VARIABLE_PREFIX KCOREADDONS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kcoreaddons_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5CoreAddonsConfigVersion.cmake"
                        SOVERSION 5)


ecm_install_po_files_as_qm(poqm)

kde_enable_exceptions()


ecm_set_disabled_deprecation_versions(
    QT 5.14.0 # Not 5.15 because of qsrand
)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5CoreAddons")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5CoreAddons_QCH
        FILE KF5CoreAddonsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5CoreAddonsQchTargets.cmake\")")
endif()

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5CoreAddonsConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5CoreAddonsConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5CoreAddonsConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5CoreAddonsConfigVersion.cmake"
               "${CMAKE_CURRENT_SOURCE_DIR}/KF5CoreAddonsMacros.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KF5CoreAddonsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5CoreAddonsTargets.cmake NAMESPACE KF5:: )
install(EXPORT KF5CoreAddonsToolingTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5CoreAddonsToolingTargets.cmake NAMESPACE KF5:: )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kcoreaddons_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KCoreAddons COMPONENT Devel)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kcoreaddons (5.115.0-2+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 5.74.0-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sun, 25 Oct 2020 23:48:26 +0000]
  * Update symbols file for raspbian.

 -- Raspbian forward porter <root@raspbian.org>  Sun, 09 Jun 2024 19:07:58 +0000

kcoreaddons (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:09:32 +0200

kcoreaddons (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.
  * Enable LTO (Closes: #1015441).

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Mar 2024 11:40:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: kcoreaddons
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
+           Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.113.0~),
+               extra-cmake-modules (>= 5.115.0~),
                libqt5sql5-sqlite:native,
                libudev-dev [linux-any],
                pkg-kde-tools (>= 0.15.16~),
@@ -18,8 +17,8 @@
                shared-mime-info (>= 1.8~),
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/frameworks/kcoreaddons
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcoreaddons
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcoreaddons
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcoreaddons
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcoreaddons.git
 Rules-Requires-Root: no
 
 Package: libkf5coreaddons-data
@@ -57,7 +56,7 @@
         libkf5pty-dev (<< 5.54),
         libkf5purpose-dev (<< 5.54),
         libkf5service-dev (<< 5.54),
-Recommends: libkf5coreaddons-doc (= ${source:Version})
+Recommends: libkf5coreaddons-doc (= ${source:Version}),
 Description: KDE Frameworks 5 addons to QtCore - development files
  KCoreAddons provides classes built on top of QtCore to perform various tasks
  such as manipulating mime types, autosaving files, creating backup files,

## kcoreaddons 5.116.0

=== debian/changelog ===
kcoreaddons (5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:30:28 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               cmake (>= 3.16~),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.115.0~),
+               extra-cmake-modules (>= 5.116.0~),
                libqt5sql5-sqlite:native,
                libudev-dev [linux-any],
                pkg-kde-tools (>= 0.15.16~),
@@ -15,7 +15,7 @@
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
                shared-mime-info (>= 1.8~),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kcoreaddons
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcoreaddons
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcoreaddons.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable auto tests at build time
	:
